Adobe Flash Player v10.0.22.87 released to address potential vulnerability

According to a security advisory from Adobe , Adobe Flash v10.0.12.36 (and earlier versions of Adobe Flash 9) on all platforms has a vulnerability “that could allow an attacker who successfully exploits this potential vulnerability to take control of the affected system” – meaning malicious software could be downloaded and run on your machine if you visit a website with malicious Flash content  file or video (SWF) .

To determine what version of  the Flash player you have, visit to install the latest Flash player go to

Windows users should note that the Flash Player in their Microsoft Internet Explorer browser and the one in other web browsers  like Opera, Mozilla Firefox, Google Chrome and Safari are separate installs. You should install and update both versions, by visiting in Internet Explorer and then with your other web browser.